## Error and Solution

### can not login

Error message:

```
Your username and password didn't match.
Please try again.
```

Possible reason:

* wrong username or password

Solution:

Check your username and password. Or Ask the administrator to reset your password.

### refuse to acquire

Error message:

```
Sorry, but...
You might see this page if you:
......
WARNING: This will release the FPGA you are currently using.
```

Possible reason:

* Attemptted to acquire multiple FPGA instances.
* Opened two FPGA pages.
* Refreshed the FPGA page.

Solution:

Open only one FPGA page. Or press **Reacquire** button.

### no instance available

Error message:

```
There are no FPGA instances currently available.
```

Possible reason:

* Some devices were accidentally offline.
* Many users are using at the same time.
* Both above.

Solution:

Wait and try again. Or contact with the administrator.

### upload or program fail

Error message:

```
Failed to program device with the uploaded file. Perhaps this file is not a valid bitstream?
```

Possible reason:

* You have select the wrong chip(not **xc7a100tcsg324-1**).
* poor network condition.
* Some device(s) accidentally went wrong.

Solution:

Check the chip and try again.

### connection closed

Error message:

```
Connection closed unexpectedly!
Perhaps it's a network error
or you may be holding FPGA for too long (>10 min).
```

Possible reason:

* poor network condition.
* timeout.

Solution:

Wait and try again.

### fail to render waveform

No Error message:
(your browser get stuck)

Possible reason:

* The signal you put on LED(s) change too rapidly.
* poor network condition.

Solution:

Use **period** mode waveform.

